@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

.SourceSeparator {
  font-size: 12px;
  padding: 1em;
  padding-top: 2.5em;
  position: relative;
  display: flex;
  flex-direction: column;

  width: 58px;
  height: 100%;

  .SeparatorHeader {
    margin-left: 8px;
    text-rendering: optimizeLegibility;
    user-select: none;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
}

@include themify('SourceSeparator', $themes) {
  font-family: themed('font-family');
  .SeparatorHeader {
    font-family: themed('font-family');
    color: themed('item-text');
  }
}
